com.fasterxml.jackson.databind.util

## Class ClassUtil.Ctor

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ClassUtil.Ctor

Enclosing class:
  ClassUtil

    public static final class ClassUtil.Ctor
    extends Object

Value class used for caching Constructor declarations; used because caching done by JDK appears to be somewhat inefficient for some use cases.

Since:
  2.7

### Field Summary

Fields
`Constructor<?>` `_ctor`

### Constructor Summary

Constructors
Constructor and Description
`Ctor(Constructor<?> ctor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Constructor<?>` `getConstructor()`
`Annotation[]` `getDeclaredAnnotations()`
`Class<?>` `getDeclaringClass()`
`int` `getParamCount()`
`Annotation[][]` `getParameterAnnotations()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _ctor

    public final Constructor<?> _ctor

### Constructor Detail

#### Ctor

    public Ctor(Constructor<?> ctor)

### Method Detail

#### getConstructor

    public Constructor<?> getConstructor()

#### getParamCount

    public int getParamCount()

#### getDeclaringClass

    public Class<?> getDeclaringClass()

#### getDeclaredAnnotations

    public Annotation[] getDeclaredAnnotations()

#### getParameterAnnotations

    public Annotation[][] getParameterAnnotations()